Ftools-Line Intersection does not work

2013-06-19 03:47 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16948

Description

An error has occured while executing Python code:

Traceback (most recent call last):

  File "E:\\GISApps\\dev\\qgisbuild\\output\\python\\plugins\\fTools\\tools\\doIntersectLines.py", line 96, in accept

    self.compute(line1, line2, field1, field2, outPath, self.progressBar)

  File "E:\\GISApps\\dev\\qgisbuild\\output\\python\\plugins\\fTools\\tools\\doIntersectLines.py", line 147, in compute

    fit1 = vprovider.getFeatures( QgsFeatureRequest().setSubsetOfAttributes([index1]) )

NameError: global name 'vprovider' is not defined

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, d91f36d

Associated revisions

Revision cfadfb55 - 2013-06-19 01:26 PM - Matthias Kuhn

[ftools] Fix Line Intersection (Fix #8114)

History

#1 - 2013-06-19 04:27 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"cfadfb5573eb68a4a754e5cb918a09e1e3af2c94".

#2 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
